Permalink
Browse files

Fixes gemspec dev dependencies

  • Loading branch information...
1 parent a3c3540 commit c6a562033e5aa8aca795a06fc2fd5ec1556849f1 Dan McClain committed Sep 4, 2012
Showing with 5 additions and 1 deletion.
  1. +5 −1 postgres_ext.gemspec
View
@@ -21,7 +21,11 @@ Gem::Specification.new do |gem|
gem.add_development_dependency 'rails', '~> 3.2.0'
gem.add_development_dependency 'rspec-rails', '~> 2.9.0'
gem.add_development_dependency 'bourne', '~> 1.1.2'
- gem.add_development_dependency 'pg', '~> 0.13.2'
+ if RUBY_PLATFORM =~ /java/
+ gem.add_development_dependency 'pg', '~> 0.13.2'
+ else
+ gem.add_development_dependency 'activerecord-jdbcpostgresql-adapter'
+ end
gem.add_development_dependency 'debugger', '~> 1.1.2' if RUBY_VERSION == '1.9.3'
gem.add_development_dependency 'fivemat'
gem.add_development_dependency 'rvm-tester'

0 comments on commit c6a5620

Please sign in to comment.